summaryrefslogtreecommitdiffstats
path: root/multimedia/herrie
diff options
context:
space:
mode:
author Phil Warner <pc_warner@yahoo.com>2010-05-11 20:01:17 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:17 +0200
commitdc000f2949e9bc535f1d7dc514ef313653a54cae (patch)
treefa7114194004c830f5df1ebe9e74b96e2e41c195 /multimedia/herrie
parent635f420678a6cd009b2bfc4dc9c4dbf7ec439cf5 (diff)
downloadslackbuilds-dc000f2949e9bc535f1d7dc514ef313653a54cae.tar.gz
slackbuilds-dc000f2949e9bc535f1d7dc514ef313653a54cae.tar.xz
multimedia/herrie: Added to 12.0 repository
Diffstat (limited to 'multimedia/herrie')
-rw-r--r--multimedia/herrie/README20
-rw-r--r--multimedia/herrie/README.SBo48
-rw-r--r--multimedia/herrie/herrie.SlackBuild91
-rw-r--r--multimedia/herrie/herrie.info8
-rw-r--r--multimedia/herrie/slack-desc19
5 files changed, 186 insertions, 0 deletions
diff --git a/multimedia/herrie/README b/multimedia/herrie/README
new file mode 100644
index 0000000000..cddfa88e5f
--- /dev/null
+++ b/multimedia/herrie/README
@@ -0,0 +1,20 @@
+Herrie - interactive music playlist player
+
+Herrie is a minimalistic music player that uses the command line. It is written
+to support a variety of audio subsystems and file formats, including playlists.
+
+Herrie has a split-screen user interface, with a playlist at the top of the
+screen and a file browser at the bottom. Herrie supports XMMS shortcuts for
+playback control and can play in XMMS mode or "party" mode (which acts as a
+song queue).
+
+Herrie also has some more exotic features, including support for AudioScrobbler
+and the ability to chroot() itself into a directory. The default options for
+this Slackbuild are set for no scrobbler, http, nls, modplugin, wave, or XSPF
+support. ALSA is the chosen sound output and Ncurses (NOT Ncursesw) is the chosen
+'gui'. This makes it so the program can be built with the least amount of
+dependencies (with these options all of them should be included in
+Slackware 12). See the README in the herrie source for the dependencies
+needed if you enable these other options.
+
+Also see README.SBo for useage and configuration help. \ No newline at end of file
diff --git a/multimedia/herrie/README.SBo b/multimedia/herrie/README.SBo
new file mode 100644
index 0000000000..c5a9bca7a4
--- /dev/null
+++ b/multimedia/herrie/README.SBo
@@ -0,0 +1,48 @@
+
+
+** The Config file **
+The global config file is by default at /etc/herrie.conf.
+User-specific settings can be set by creating a config file at ~/.herrie/config.
+The '-c' argument allows you to specify a different config file other than
+these defaults. Please note that config settings are overidden on a per setting
+basis. For instance, if gui.browser.defaultpath is specified in /etc/herrie.conf,
+but it is not specified in ~/.herrie/config then the setting in /etc/herrie.conf
+will be used. The other settings that are in ~/.herrie/config would still be used.
+
+
+** Chroot Mode **
+Be sure that the user you use for vfs.lockup.user is the OWNER of the folder used
+for vfs.lockup.chroot. For some reason it is not enough to have read permissions
+through a group. Also, note that other settings that use paths, such as
+gui.browser.defaultpath and playq.dumpfile will use the chrooted path. You might
+need to create a .herrie folder under your chrooted folder in order to be able to
+automatically save your playlists.
+
+Also, herrie will not work properly when using AO in chroot mode!
+ALSA is now the default sound system used because of this.
+
+Here is an example config file for using herrie in chroot mode:
+# Herrie Config file for chrooted herrie
+gui.browser.defaultpath=/
+vfs.lockup.chroot=/mnt/MEDIA/MyMusic
+vfs.lockup.user=USERNAME
+playq.dumpfile=/.herrie/autosave.pls
+
+
+** Using AO **
+If AO is chosen as the sound output an option can be specified in the
+config file.
+
+Config Examples of Using AO:
+# Useful for KDE users
+audio.output.ao.driver=arts
+
+# For sending sound output to a remote SSH session
+audio.output.ao.driver=esd
+audio.output.ao.host=env_ssh
+
+
+** For More Information... **
+Please refer to the man page for the keyboard control bindings
+and for more config options. An online version of the man page
+can be found at http://herrie.info/herrie.1
diff --git a/multimedia/herrie/herrie.SlackBuild b/multimedia/herrie/herrie.SlackBuild
new file mode 100644
index 0000000000..d6fa0ebd92
--- /dev/null
+++ b/multimedia/herrie/herrie.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for herrie
+# Written by Phil Warner <pc_warner@yahoo.com>
+
+PRGNAM=herrie
+VERSION=2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+####################CONFIG OPTIONS###########################
+#no_http Disable support for HTTP audio streams
+#no_modplug Disable libmodplug linkage
+#no_mp3 Disable MP3 audio file support
+#no_nls Disable native language support
+#no_scrobbler Disable AudioScrobbler support
+#no_sndfile Disable libsndfile linkage (Wave/FLAC support)
+#no_vorbis Disable Ogg Vorbis support
+#no_xspf Disable XSPF playlist support
+
+#alsa Use ALSA audio output
+#ao Use libao audio output
+#coreaudio Use Apple CoreAudio audio output
+#oss Use Open Sound System output
+#null Use placeholder audio output
+#pulse Use PulseAudio audio output
+
+#ncurses Use ncurses instead of ncursesw (breaks UTF-8 support)
+#xcurses Build application against XCurses (PDCurses)
+
+#no_strip Do not strip the application binary on installation
+#strict Turn on stricter compiler flags for GCC
+#verbose Print commands during compilation
+#############################################################
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX="/usr" \
+CONFDIR="/etc" \
+MANDIR="/usr/man" \
+./configure \
+ no_sndfile \
+ no_http \
+ no_modplug \
+ no_nls \
+ no_scrobbler \
+ no_xspf \
+ alsa \
+ ncurses
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" force_arch="$ARCH" make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/herrie/herrie.info b/multimedia/herrie/herrie.info
new file mode 100644
index 0000000000..3c043fde10
--- /dev/null
+++ b/multimedia/herrie/herrie.info
@@ -0,0 +1,8 @@
+PRGNAM="herrie"
+VERSION="2.0"
+HOMEPAGE="http://herrie.info/"
+DOWNLOAD="http://herrie.info/distfiles/herrie-2.0.tar.bz2"
+MD5SUM="22bf3bf61f651956efc25ecceb761e70"
+MAINTAINER="Phil Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="David Somero"
diff --git a/multimedia/herrie/slack-desc b/multimedia/herrie/slack-desc
new file mode 100644
index 0000000000..5d1bcbcc79
--- /dev/null
+++ b/multimedia/herrie/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+herrie: Herrie (interactive music playlist player)
+herrie:
+herrie: Herrie has a split-screen user interface, with a playlist at the top
+herrie: of the screen and a file browser at the bottom. Herrie supports
+herrie: playlists, streams, many audio subsystems, and XMMS style keyboard
+herrie: shortcuts for playback control. Herrie also has some more exotic
+herrie: features, including support for AudioScrobbler and the ability to
+herrie: chroot() itself into a directory.
+herrie:
+herrie: http://herrie.info/
+herrie: